Providers
CompozyOS Providers HTTP endpoints.
provider_id?stringFilter by CompozyOS provider id
view?stringCatalog view; defaults to curated
"curated""all"source_id?stringFilter by catalog source id
refresh?booleanRefresh sources before listing models
include_stale?booleanInclude stale source rows in the merged projection
OK
application/json- response
models*array<>curl -X GET "https://example.com/api/model-catalog/models"{ "models": [ { "availability_state": "string", "available": true, "config_options": [ { "category": "string", "current_bool": true, "current_value_id": "string", "description": "string", "id": "string", "kind": "string", "label": "string", "values": [ { "description": "string", "group_id": "string", "group_label": "string", "label": "string", "value": "string" } ] } ], "configurations": [ { "fast": true, "reasoning_effort": "string", "thinking": true } ], "context_window": 0, "cost": { "cache_read_per_million": 0, "cache_write_per_million": 0, "input_per_million": 0, "output_per_million": 0, "reasoning_per_million": 0 }, "curated": true, "default_reasoning_effort": "string", "deprecated": true, "display_name": "string", "featured": true, "hidden": true, "last_error": "string", "max_input_tokens": 0, "max_output_tokens": 0, "model_id": "string", "provider_id": "string", "reasoning_apply": "string", "reasoning_efforts": [ "string" ], "reasoning_known": true, "reasoning_source": "acp", "refreshed_at": "string", "release_date": "string", "sources": [ { "last_error": "string", "priority": 0, "refreshed_at": "string", "source_id": "string", "source_kind": "string", "stale": true } ], "stale": true, "supports_reasoning": true, "supports_tools": true } ]}JSON request body
application/json- body
force?booleanrequest_id?stringsource_id?stringOK
application/json- response
error?stringsources*array<>curl -X POST "https://example.com/api/model-catalog/models/refresh" \ -H "Content-Type: application/json" \ -d '{}'{ "error": "string", "sources": [ { "failure_reason": "string", "last_error": "string", "last_refresh": "string", "last_success": "string", "next_refresh": "string", "priority": 0, "provider_id": "string", "refresh_state": "string", "row_count": 0, "source_id": "string", "source_kind": "string", "stale": true } ]}provider_id*stringCompozyOS provider id
view?stringCatalog view; defaults to curated
"curated""all"source_id?stringFilter by catalog source id
refresh?booleanRefresh sources before listing models
include_stale?booleanInclude stale source rows in the merged projection
OK
application/json- response
models*array<>curl -X GET "https://example.com/api/model-catalog/providers/string/models"{ "models": [ { "availability_state": "string", "available": true, "config_options": [ { "category": "string", "current_bool": true, "current_value_id": "string", "description": "string", "id": "string", "kind": "string", "label": "string", "values": [ { "description": "string", "group_id": "string", "group_label": "string", "label": "string", "value": "string" } ] } ], "configurations": [ { "fast": true, "reasoning_effort": "string", "thinking": true } ], "context_window": 0, "cost": { "cache_read_per_million": 0, "cache_write_per_million": 0, "input_per_million": 0, "output_per_million": 0, "reasoning_per_million": 0 }, "curated": true, "default_reasoning_effort": "string", "deprecated": true, "display_name": "string", "featured": true, "hidden": true, "last_error": "string", "max_input_tokens": 0, "max_output_tokens": 0, "model_id": "string", "provider_id": "string", "reasoning_apply": "string", "reasoning_efforts": [ "string" ], "reasoning_known": true, "reasoning_source": "acp", "refreshed_at": "string", "release_date": "string", "sources": [ { "last_error": "string", "priority": 0, "refreshed_at": "string", "source_id": "string", "source_kind": "string", "stale": true } ], "stale": true, "supports_reasoning": true, "supports_tools": true } ]}provider_id*stringCompozyOS provider id
JSON request body
application/json- body
default_effort?string|nulldefault_speed?|"normal""fast"deprecated?boolean|nullfeatured?boolean|nullhidden?boolean|nullmodel_id*stringOK
application/json- response
apply*default_speed?string"normal""fast"model*curl -X POST "https://example.com/api/model-catalog/providers/string/models/curate" \ -H "Content-Type: application/json" \ -d '{ "model_id": "string" }'{ "apply": { "active_config_hash": "string", "active_generation": 0, "agent_name": "string", "applied": true, "apply_record_id": "string", "lifecycle": "live", "next_action": "none", "partial_failures": [ { "diagnostic": { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" }, "subsystem": "string" } ], "profile": "string", "restart_required": true, "restart_scope": "string", "scope": "user", "section": "general", "skipped": true, "skipped_reason": "string", "warnings": [ "string" ], "workspace_id": "string", "write_target": "global-config" }, "default_speed": "normal", "model": { "availability_state": "string", "available": true, "config_options": [ { "category": "string", "current_bool": true, "current_value_id": "string", "description": "string", "id": "string", "kind": "string", "label": "string", "values": [ { "description": "string", "group_id": "string", "group_label": "string", "label": "string", "value": "string" } ] } ], "configurations": [ { "fast": true, "reasoning_effort": "string", "thinking": true } ], "context_window": 0, "cost": { "cache_read_per_million": 0, "cache_write_per_million": 0, "input_per_million": 0, "output_per_million": 0, "reasoning_per_million": 0 }, "curated": true, "default_reasoning_effort": "string", "deprecated": true, "display_name": "string", "featured": true, "hidden": true, "last_error": "string", "max_input_tokens": 0, "max_output_tokens": 0, "model_id": "string", "provider_id": "string", "reasoning_apply": "string", "reasoning_efforts": [ "string" ], "reasoning_known": true, "reasoning_source": "acp", "refreshed_at": "string", "release_date": "string", "sources": [ { "last_error": "string", "priority": 0, "refreshed_at": "string", "source_id": "string", "source_kind": "string", "stale": true } ], "stale": true, "supports_reasoning": true, "supports_tools": true }}provider_id*stringCompozyOS provider id
JSON request body
application/json- body
force?booleanrequest_id?stringsource_id?stringOK
application/json- response
error?stringsources*array<>curl -X POST "https://example.com/api/model-catalog/providers/string/models/refresh" \ -H "Content-Type: application/json" \ -d '{}'{ "error": "string", "sources": [ { "failure_reason": "string", "last_error": "string", "last_refresh": "string", "last_success": "string", "next_refresh": "string", "priority": 0, "provider_id": "string", "refresh_state": "string", "row_count": 0, "source_id": "string", "source_kind": "string", "stale": true } ]}provider_id*stringCompozyOS provider id
OK
application/json- response
sources*array<>curl -X GET "https://example.com/api/model-catalog/providers/string/models/status"{ "sources": [ { "failure_reason": "string", "last_error": "string", "last_refresh": "string", "last_success": "string", "next_refresh": "string", "priority": 0, "provider_id": "string", "refresh_state": "string", "row_count": 0, "source_id": "string", "source_kind": "string", "stale": true } ]}OK
application/json- response
sources*array<>curl -X GET "https://example.com/api/model-catalog/sources/status"{ "sources": [ { "failure_reason": "string", "last_error": "string", "last_refresh": "string", "last_success": "string", "next_refresh": "string", "priority": 0, "provider_id": "string", "refresh_state": "string", "row_count": 0, "source_id": "string", "source_kind": "string", "stale": true } ]}profile?stringProfile name; defaults to the caller session profile or default
Profile-scoped usage envelope
application/json- response
enabled*booleangenerated_at*stringdate-timekeychain_supported*booleanprofile_id*stringrevision*integeruint640 <= valuetargets*array<>tray*|curl -X GET "https://example.com/api/provider-usage"{ "enabled": true, "generated_at": "2019-08-24T14:15:22Z", "keychain_supported": true, "profile_id": "string", "revision": 0, "targets": [ { "account": { "label": "string", "plan": "string" }, "balances": [ { "expires_at": "2019-08-24T14:15:22Z", "id": "string", "label": "string", "remaining": { "unit": "string", "value": "string" } } ], "checked_at": "2019-08-24T14:15:22Z", "confidence": "string", "error": { "action": "string", "code": "string", "message": "string", "retry_after": "2019-08-24T14:15:22Z" }, "measured_at": "2019-08-24T14:15:22Z", "next_refresh_at": "2019-08-24T14:15:22Z", "provider_id": "string", "provider_name": "string", "refreshing": true, "source": { "kind": "string", "label": "string" }, "spend_caps": [ { "enabled": true, "id": "string", "label": "string", "limit": { "unit": "string", "value": "string" }, "resets_at": "2019-08-24T14:15:22Z", "used": { "unit": "string", "value": "string" }, "used_percent": 0 } ], "status": "string", "windows": [ { "duration_seconds": 0, "id": "string", "kind": "string", "label": "string", "limit": { "unit": "string", "value": "string" }, "reset_text": "string", "resets_at": "2019-08-24T14:15:22Z", "used": { "unit": "string", "value": "string" }, "used_percent": 0 } ] } ], "tray": { "label": "string", "provider_id": "string", "resets_at": "2019-08-24T14:15:22Z", "severity": "string", "stale": true, "used_percent": 0.1, "window_id": "string" }}provider_id*stringCanonical provider ID
profile?stringProfile name; defaults to the caller session profile or default
Profile-scoped usage envelope
application/json- response
enabled*booleangenerated_at*stringdate-timekeychain_supported*booleanprofile_id*stringrevision*integeruint640 <= valuetargets*array<>tray*|curl -X GET "https://example.com/api/provider-usage/providers/string"{ "enabled": true, "generated_at": "2019-08-24T14:15:22Z", "keychain_supported": true, "profile_id": "string", "revision": 0, "targets": [ { "account": { "label": "string", "plan": "string" }, "balances": [ { "expires_at": "2019-08-24T14:15:22Z", "id": "string", "label": "string", "remaining": { "unit": "string", "value": "string" } } ], "checked_at": "2019-08-24T14:15:22Z", "confidence": "string", "error": { "action": "string", "code": "string", "message": "string", "retry_after": "2019-08-24T14:15:22Z" }, "measured_at": "2019-08-24T14:15:22Z", "next_refresh_at": "2019-08-24T14:15:22Z", "provider_id": "string", "provider_name": "string", "refreshing": true, "source": { "kind": "string", "label": "string" }, "spend_caps": [ { "enabled": true, "id": "string", "label": "string", "limit": { "unit": "string", "value": "string" }, "resets_at": "2019-08-24T14:15:22Z", "used": { "unit": "string", "value": "string" }, "used_percent": 0 } ], "status": "string", "windows": [ { "duration_seconds": 0, "id": "string", "kind": "string", "label": "string", "limit": { "unit": "string", "value": "string" }, "reset_text": "string", "resets_at": "2019-08-24T14:15:22Z", "used": { "unit": "string", "value": "string" }, "used_percent": 0 } ] } ], "tray": { "label": "string", "provider_id": "string", "resets_at": "2019-08-24T14:15:22Z", "severity": "string", "stale": true, "used_percent": 0.1, "window_id": "string" }}JSON request body
application/json- body
intent?stringmax_age_seconds?integerint64profile?stringprovider_ids?array<string>wait_ms?|int64Profile-scoped usage envelope
application/json- response
enabled*booleangenerated_at*stringdate-timekeychain_supported*booleanprofile_id*stringrevision*integeruint640 <= valuetargets*array<>tray*|curl -X POST "https://example.com/api/provider-usage/refresh" \ -H "Content-Type: application/json" \ -d '{}'{ "enabled": true, "generated_at": "2019-08-24T14:15:22Z", "keychain_supported": true, "profile_id": "string", "revision": 0, "targets": [ { "account": { "label": "string", "plan": "string" }, "balances": [ { "expires_at": "2019-08-24T14:15:22Z", "id": "string", "label": "string", "remaining": { "unit": "string", "value": "string" } } ], "checked_at": "2019-08-24T14:15:22Z", "confidence": "string", "error": { "action": "string", "code": "string", "message": "string", "retry_after": "2019-08-24T14:15:22Z" }, "measured_at": "2019-08-24T14:15:22Z", "next_refresh_at": "2019-08-24T14:15:22Z", "provider_id": "string", "provider_name": "string", "refreshing": true, "source": { "kind": "string", "label": "string" }, "spend_caps": [ { "enabled": true, "id": "string", "label": "string", "limit": { "unit": "string", "value": "string" }, "resets_at": "2019-08-24T14:15:22Z", "used": { "unit": "string", "value": "string" }, "used_percent": 0 } ], "status": "string", "windows": [ { "duration_seconds": 0, "id": "string", "kind": "string", "label": "string", "limit": { "unit": "string", "value": "string" }, "reset_text": "string", "resets_at": "2019-08-24T14:15:22Z", "used": { "unit": "string", "value": "string" }, "used_percent": 0 } ] } ], "tray": { "label": "string", "provider_id": "string", "resets_at": "2019-08-24T14:15:22Z", "severity": "string", "stale": true, "used_percent": 0.1, "window_id": "string" }}profile?stringProfile name; defaults to the caller session profile or default
ready and provider_usage_changed revision events
text/event-stream- response
boot_id*stringrevision*integeruint640 <= valuecurl -X GET "https://example.com/api/provider-usage/stream"{ "boot_id": "string", "revision": 0}curl -X GET "https://example.com/api/providers"{ "providers": [ { "auth_status": { "code": "string", "env_policy": "string", "home_policy": "string", "last_probe_at": "2019-08-24T14:15:22Z", "login": { "configured": true, "executable": "string", "presence": "present", "recommended_action": "install_cli", "source": "auth_login_command" }, "message": "string", "mode": "string", "state": "string", "status_command": "string" }, "default": true, "display_name": "string", "name": "string", "runtime_strategy": "session_config", "session_env_status": [ { "kind": "string", "name": "string", "present": true, "required": true, "secret_ref": "string", "source": "string", "target_env": "string" } ] } ]}provider_id*stringCompozyOS provider id
OK
application/json- response
auth_status*default*booleandisplay_name?stringname*stringruntime_strategy?string"session_config""launch_arg""provider_managed"session_env_status?array<>curl -X GET "https://example.com/api/providers/string"{ "auth_status": { "code": "string", "env_policy": "string", "home_policy": "string", "last_probe_at": "2019-08-24T14:15:22Z", "login": { "configured": true, "executable": "string", "presence": "present", "recommended_action": "install_cli", "source": "auth_login_command" }, "message": "string", "mode": "string", "state": "string", "status_command": "string" }, "default": true, "display_name": "string", "name": "string", "runtime_strategy": "session_config", "session_env_status": [ { "kind": "string", "name": "string", "present": true, "required": true, "secret_ref": "string", "source": "string", "target_env": "string" } ]}provider_id*stringCompozyOS provider id
OK
application/json- response
auth_status*probe?|provider*stringcurl -X POST "https://example.com/api/providers/string/auth/probe"{ "auth_status": { "code": "string", "env_policy": "string", "home_policy": "string", "last_probe_at": "2019-08-24T14:15:22Z", "login": { "configured": true, "executable": "string", "presence": "present", "recommended_action": "install_cli", "source": "auth_login_command" }, "message": "string", "mode": "string", "state": "string", "status_command": "string" }, "probe": { "duration_ms": 0, "exit_code": 0, "stderr": "string", "stdout": "string" }, "provider": "string"}